Name:           dvdauthor
Version:        0.7.2
Release:    1%{?dist}
Summary:        Command line DVD authoring tool

License:        GPLv2+
URL:            http://dvdauthor.sourceforge.net/
Source0:        http://downloads.sourceforge.net/dvdauthor/%{name}-%{version}.tar.gz
Patch0:         dvdauthor-0.7.2-imagemagick7.patch

BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  libdvdread-devel >= 0.9.4-4
BuildRequires:  libpng-devel
BuildRequires:  libxml2-devel >= 2.6.0
BuildRequires:  fontconfig-devel
BuildRequires:  fribidi-devel
BuildRequires:  freetype-devel
BuildRequires:  ImageMagick-devel >= 7.0


%description
DVDAuthor is a set of tools to help you author the file and directory
structure of a DVD-Video disc, including programmatic commands for
implementing interactive behavior. It is driven by command lines and
XML control files, though there are other programs that provide
GUI-based front ends if you prefer.


%prep
%autosetup -n %{name} -p1


%build
export LDFLAGS="$RPM_LD_FLAGS -Wl,--as-needed" # *Magick-config linkage bloat
%configure --disable-rpath --enable-default-video-format=NTSC
%make_build


%install
%make_install


%files
%license COPYING
%doc AUTHORS ChangeLog README TODO
%{_bindir}/dvdauthor
%{_bindir}/dvddirdel
%{_bindir}/dvdunauthor
%{_bindir}/mpeg2desc
%{_bindir}/spumux
%{_bindir}/spuunmux
%{_datadir}/dvdauthor/
%{_mandir}/man1/dvdauthor.1*
%{_mandir}/man1/dvddirdel.1*
%{_mandir}/man1/dvdunauthor.1*
%{_mandir}/man1/mpeg2desc.1*
%{_mandir}/man1/spumux.1*
%{_mandir}/man1/spuunmux.1*
%{_mandir}/man7/video_format.7*


%changelog
* Wed Aug 14 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.7.2-1
- initial build
